
/*
 * This file is part of the netcc project
 *
 * (C) 2011 Andreas Steinmetz, ast@domdv.de
 * The contents of this file is licensed under the GPL version 2.
 */

#ifndef IFC_H
#define IFC_H

/* prototypes */

extern int getifcaddr(char *dev);
extern int getbrdaddr(char *dev);
extern int getnetmask(char *dev);
extern int getifindex(char *dev);

/* macro to detect an IPv6 link local address */

#define linklocal(a) \
	(LIKELY(a.s6_addr[0]==0xfe)&&LIKELY((a.s6_addr[1]&0xc0)==0x80))

#endif
