
/*
 * This file is part of the netcc project
 *
 * (C) 2011 Andreas Steinmetz, ast@domdv.de
 * The contents of this file is licensed under the GPL version 2.
 */

#ifndef SCTP6_H
#define SCTP6_H

/* prototypes */

extern int sctp6socket(char *dev,int port,int backlog,void *key,int keylen,
	int kernel_bug_workaround);
extern int sctp6connect(struct in6_addr *addr,int port,int idx,int ttl,
	void *key,int keylen,int kernel_bug_workaround);
extern int sctp6ifset(int fd,char *dev);

#endif
