
/*
 * This file is part of the netcc project
 *
 * (C) 2011 Andreas Steinmetz, ast@domdv.de
 * The contents of this file is licensed under the GPL version 2.
 */

#ifndef CAPS_H
#define CAPS_H

/* capability drop modes */

#define NEED_NONE	0
#define NEED_UGID	1
#define NEED_ROOT	2
#define NEED_CAST	3

#if defined(__linux__)

/* prototypes */

extern int dropcaps(int how);

#else

#warning system lacks capability support so full root rights must be retained

#define dropcaps(a)

#endif

#endif
