
/*
 * This file is part of the netcc project
 *
 * (C) 2011 Andreas Steinmetz, ast@domdv.de
 * The contents of this file is licensed under the GPL version 2.
 */

#ifndef REMOTE_H
#define REMOTE_H

/* action codes */

#define RMT_START	0
#define RMT_STOP	1
#define RMT_NETWORK	2
#define RMT_NICE	3
#define RMT_USEV6	4
#define RMT_SCTP	5
#define RMT_SITE	6
#define RMT_AUTH	7
#define RMT_WINDOW	8
#define RMT_KILL	9
#define RMT_UNIQUE	10
#define RMT_TOOLS	11
#define RMT_SCTPAUTH	12
#define RMT_ZCOPY	13

/* prototypes */

extern int remotemgr(int mode,char *ptr,int val,...);

#endif
